<?php
session_start();
include "../conexion.php";
require_once('../include/sesiones.php'); 
if(!empty($_POST))
{
    $gard_id=$_POST['id'];
    $gard_cantidad=$_POST['gard_cantidad'];
    if(isset($_POST['serial']) && !empty($_POST['serial'])) 
    {
        $serial = $_POST['serial'];
        $valores_no_vacios=0;
        foreach($serial as $valor) 
        {
            if(!empty($valor)) 
            {
                $valores_no_vacios++;
            }
        }
        $valores_no_vacios;
        $number = $valores_no_vacios; 
    }
    else
    {
        $valores_no_vacios=0;
        $number = $valores_no_vacios;
    }
    
    $number;
    if ($number>$gard_cantidad)
    {
        echo '<div class="alert alert-danger alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                  <strong>No puedes Agregar mas seriales de la cantidad correspondiente!</strong> 
           </div>';
    }
    else
    {
        if($number > 0)  
        {  
            for($i=0; $i<$number; $i++)  
            {  
               if(trim($_POST["serial"][$i] != '') )

                $dato1=$_POST["serial"][$i];  
                {
                    $sql="INSERT INTO serial_garantias (gard_codigo,gard_estado,garantia_detalle_gard_id) VALUES('".$dato1."','Enviado','$gard_id')";  
                    mysqli_query($con, $sql);  
                } 
            }
            echo '<div class="alert alert-success alert-dismissable">
                 <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Serial!</strong> Registrado correctamente.
                 </div>'; 
    ?>
    <script type="text/javascript">
    $('#detallar').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    loadTabla();
    </script>
    <?php      
        } 
    else
        {
           echo '<div class="alert alert-info alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Debes selecionar '.$gard_cantidad.' serial(es)!</strong>
                </div>'; 
        }        
}
}
?>	